| Home | Libraries | People | FAQ | More

## Struct template hash<T*>

boost::hash<T*>

## Synopsis

    // In header: <boost/functional/hash.hpp>

    template<typename T>
    struct hash<T*> {
      std::size_t operator()(T*) const;
    };

## Description

    std::size_t operator()(T* val) const;

Returns: | Unspecified in TR1, except that equal arguments yield the same result.
Throws: | Doesn't throw